import SwiftUI
import SFSafeSymbols

struct LeftImageLabel: View {

    let text: String

    let systemSymbol: SFSymbol

    init(_ text: String, systemSymbol: SFSymbol) {
        self.text = text
        self.systemSymbol = systemSymbol
    }

    var body: some View {
        HStack(alignment: .firstTextBaseline, spacing: 0) {
            Text(text)
            Image(systemSymbol: systemSymbol)
                .frame(width: 20)
        }
    }
}

struct LeftImageLabel_Previews: PreviewProvider {
    static var previews: some View {
        LeftImageLabel("Home address", systemSymbol: .house)
    }
}
